package _02_数组练习;

import java.util.Random;

public class Test2 {
    public static void main(String[] args) {
        /**
         * 需求：定义一个数组，存入1~5。要求打乱数组中所有数据的顺序。
         * [1,2,3,4,5]
         */
        // 1 定义出来一个数组
        int[] arr = {1,2,3,4,5};
        // 2 遍历数组元素
        for (int i = 0; i < arr.length; i++) {
            // 3 在遍历过程中 生成一个随机索引
            Random random = new Random();
            int randomIndex = random.nextInt(arr.length);
            // 4 那遍历元素和随机索引所在元素调转位置
            int temp = arr[i];
            arr[i] = arr[randomIndex];
            arr[randomIndex] = temp;
        }
        // 5 打印数组
        for (int i = 0; i < arr.length; i++) {
            System.out.print(arr[i]+" ");
        }
    }
}
